commit:     c2812e6b308dd757464074b346827654b29b01af
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  1 06:46:00 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug  1 08:14:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2812e6b

dev-python/executing: Bump to 0.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/executing/Manifest               |  1 +
 dev-python/executing/executing-0.8.0.ebuild | 37 +++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/executing/Manifest b/dev-python/executing/Manifest
index 54651edfaaf..11c1715b6c1 100644
--- a/dev-python/executing/Manifest
+++ b/dev-python/executing/Manifest
@@ -1,2 +1,3 @@
 DIST executing-0.6.0.gh.tar.gz 330731 BLAKE2B 
f6a86072907c5140aefb45beb46bcc8c6e3e242e2e821046e59f0eafe1d5c16efe3c08dd1b19b1ce85388fd9cc4757bfe586b95fb490a594cfee4f5e69b5a0af
 SHA512 
5d2f621ff4cbfd55ac43b555f771b129ade5d20f882f4e5d6a060a1a099abad73cc4128c9e6bd32fccc40c4c85c51c28b3be40ab16f163e1ceaaad07f1936ab7
 DIST executing-0.7.0.gh.tar.gz 452550 BLAKE2B 
9b3bdb49b3b00ca17952db747d3f0f3995e8dffbc170bcb2260e7c34ce9e6b0c8e1620be2e2776445a6114add4e2437eaeae8a308391e2c121b6484b5bc6056c
 SHA512 
08ee347f0bcaf04ca2c6010762a6d2d5b054b3590029c55d18d6efae5a5db7c6c5a0948cce9d9684e4bfbfd9ea19326e4ac2c96be40535c0500c28c28ce81e07
+DIST executing-0.8.0.gh.tar.gz 494306 BLAKE2B 
37ce7c743380dcac85e6843e8ee708c8d876c5de883e49786da67d94dc9a7bf983bb36278a823ddb2bc9291e7219125cf870fac8c0c28979a4b49e951410d5e5
 SHA512 
6f88052f61479c5fe4aba1925e90f3daea3852f636c5c17d94a08dfa4de909fb3187650ff07c1dc66b4b3bec4a04cfdaf4cfe0c37903f67b2d716691d07a93d8

diff --git a/dev-python/executing/executing-0.8.0.ebuild 
b/dev-python/executing/executing-0.8.0.ebuild
new file mode 100644
index 00000000000..e01cf6c3100
--- /dev/null
+++ b/dev-python/executing/executing-0.8.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+       https://github.com/alexmojaki/executing/
+       https://pypi.org/project/executing/";
+SRC_URI="
+       https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+# asttokens is optional runtime dep
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       dev-python/toml[${PYTHON_USEDEP}]
+       test? (
+               dev-python/asttokens[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       # this test explodes when collected by pytest
+       "${EPYTHON}" tests/test_main.py || die "Tests failed with ${EPYTHON}"
+       epytest tests/test_pytest.py
+}

Reply via email to